<?php
// {{{ requires
require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';

class LC_Page_FrontParts_Bloc_NewItem extends LC_Page_FrontParts_Bloc_Ex {

    /**
     * Page を初期化する.
     *
     * @return void
     */
    public function init() {
        parent::init();
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    public function process() {
        $this->action();
        $this->sendResponse();
    }

    /**
     * Page のアクション.
     *
     * @return void
     */
    public function action() {
		$this->arrNewItem = $this->lfGetNewItem();
		
        // 会員クラス
        $objCustomer = new SC_Customer_Ex();

        // ログイン判定
        if ($objCustomer->isLoginSuccess() === true) {
            $this->tpl_login = true;
        }
    }

    public function lfGetNewItem() {
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        $objProduct = new SC_Product_Ex();
		// 使用しているデータベースサーバー名を取得
        $objDB = SC_DB_DBFactory_Ex::getInstance();
        $arrSystemInfo = $objDB->sfGetDBVersion();
		$string = $arrSystemInfo;
			if (preg_match("/MySQL/", $string)) {
				$col = 'product_id, main_image, name';
				$table = 'dtb_products';
				$where = 'status = 1 AND del_flg = 0 AND TO_DAYS(NOW()) - TO_DAYS(create_date) < '.NEW_ITEM_SLIDE_BLOC;
				$objQuery->setOrder('create_date DESC');
				$arrNewItem = $objQuery->select($col, $table, $where);
			}else{
				$col = 'product_id, main_image, name, create_date';
				$table = 'dtb_products';
				$where = 'status = 1 AND del_flg = 0';
				$objQuery->setOrder('create_date DESC');
				$arrNewItem = $objQuery->select($col, $table, $where);
			}
        $objQuery =& SC_Query_Ex::getSingletonInstance();
        if (count($arrNewItem) > 0) {
            // 商品一覧を取得
            // where条件生成&セット
            $arrProductId = array();
            $where = 'product_id IN (';
            foreach ($arrNewItem as $key => $val) {
                $arrProductId[] = $val['product_id'];
            }
            // 取得
            $arrProductList = $objProduct->getListByProductIds($objQuery, $arrProductId);
            // マージ
            foreach ($arrNewItem as $key => $value) {
                $arrRow =& $arrNewItem[$key];
                if (isset($arrProductList[$arrRow['product_id']])) {
                    $arrRow = array_merge($arrRow, $arrProductList[$arrRow['product_id']]);
                } else {
                    // 削除済み商品は除外
                    unset($arrNewItem[$key]);
                }
            }
        }
        return $arrNewItem;
    }

}
